Subject: [nvo3] Document shepherd comments on draft-ietf-nvo3-arch-05

From: "Bocci, Matthew (Nokia - GB)" <[email-masked]>
Date: Wed, 20 Apr 2016 14:13:02 +0000

Authors

I think this draft is mostly good to progress, but I have a few comments that I think should be addressed before I forward the draft to the IESG for publication.

(1) Title and abstract:
An Architecture for Overlay Networks (NVO3)
                        draft-ietf-nvo3-arch-05

Abstract

   This document presents a high-level overview architecture for
   building overlay networks in NVO3.  The architecture is given at a
   high-level, showing the major components of an overall system.  An
   important goal is to divide the space into individual smaller
   components that can be implemented independently and with clear
   interfaces and interactions with other components.  It should be
   possible to build and implement individual components in isolation
   and have them work with other components with no changes to other
   components.  That way implementers have flexibility in implementing
   individual components and can optimize and innovate within their
   respective components without requiring changes to other components.

MB> The acronym NVO3 doesn’t correspond with the main text in the title. NVO3 is a working group as well as meaning Network Virtualisation Overlays in general. It might be better to use a similar title to  the RFC7365, e.g. An Architecture for Data Centre Network Virtualization, and then change the first sentence of the abstract to “… A high level architecture for building virtualized overlay networks.” Please also look at the term NVO3 in the text and make sure it is expanded on first use and the context its usage makes sense.

(2) Security Considerations.
"The NVO3 architecure will need to defend against a number of
   potential security threats involving both the data plane and control
   plane.”

MB> I think it is the elements in the architecture that will need to defend against security threats, rather than the architecture itself. Maybe you could rephrase this as:
“The data plane and control plane described in this architecture will need to address potential security threats.”

(3) Appendix A: Change Log
Please can you remove this in the next version before I forward to Alia.

Regards
Matthew